%define name ghex
%define major 0
%define libname %mklibname gtkhex %major
%define libnamedev %mklibname -d gtkhex

Name: %name
Summary: GNOME Hexadecimal Editor
Version: 2.24.0
Release: %mkrel 2
License: GPLv2+
Group: Editors
Url: http://pluton.ijs.si/~jaka/gnome.html#GHEX
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch: ghex-2.24.0-format-strings.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libgnomeprintui-devel >= 2.2
BuildRequires: libglade2.0-devel
BuildRequires: libgail-devel
BuildRequires: libgnomeui2-devel
BuildRequires: gnome-doc-utils
BuildRequires: scrollkeeper
BuildRequires: intltool
BuildRequires: desktop-file-utils
Requires(post): scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3

%description
GHex allows the user to load data from any file, view and edit it in either
hex or ascii. A must for anyone playing games that use non-ascii format for
saving.

%package -n %libname
Summary: Shared library of the GNOME Hexadecimal Editor
Group: System/Libraries

%description -n %libname
GHex allows the user to load data from any file, view and edit it in either
hex or ascii. A must for anyone playing games that use non-ascii format for
saving.

This contains the shared library needed by ghex.
 
%package -n %libnamedev
Summary: Development files for the GNOME Hexadecimal Editor library 
Group: Development/C
Requires: %libname = %version
Provides: libgtkhex-devel = %version-%release
Obsoletes: %mklibname -d gtkhex 0

%description -n %libnamedev
GHex allows the user to load data from any file, view and edit it in either
hex or ascii. A must for anyone playing games that use non-ascii format for
saving.

This contains the development files needed to compile applications with 
libghex

%prep
%setup -q
%patch -p1 -b .format-strings

%build
%configure2_5x
%make

%install
rm -rf %buildroot %name-2.0.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%{find_lang} %name-2.0 --with-gnome --all-name

%post
%if %mdkversion < 200900
%update_scrollkeeper
%post_install_gconf_schemas ghex2
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%{update_menus}
%endif

%preun
%preun_uninstall_gconf_schemas ghex2

%if %mdkversion < 200900
%postun
%{clean_scrollkeeper}
%{clean_menus}
%clean_icon_cache hicolor
%endif

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS README ChangeLog
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*
%_datadir/icons/hicolor/*/apps/*ghex.*
%{_datadir}/gnome-2.0/ui/*

%files -n %libname
%defattr(-, root, root)
%_libdir/libgtkhex.so.%{major}*

%files -n %libnamedev
%defattr(-, root, root)
%_libdir/libgtkhex.so
%_libdir/libgtkhex.a
%attr(644,root,root) %_libdir/libgtkhex.la
%_libdir/pkgconfig/gtkhex.pc
%_includedir/gtkhex/


%changelog
* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 2.24.0-2mdv2010.0
+ Revision: 437687
- rebuild

* Thu Feb 19 2009 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.1
+ Revision: 342790
- new version
- fix format strings

* Mon Nov 10 2008 Funda Wang <fwang@mandriva.org> 2.22.0-3mdv2009.1
+ Revision: 301804
- rebuild for new xcb

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 2.22.0-2mdv2009.0
+ Revision: 266843
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Apr 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2009.0
+ Revision: 192555
- new version

* Wed Feb 27 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175671
- new version

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 160364
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Dec 22 2007 Götz Waschk <waschk@mandriva.org> 2.21.4-1mdv2008.1
+ Revision: 136788
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 10 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 116876
- new version

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89456
- new version

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 72476
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63194
- new version

* Wed Aug 08 2007 Götz Waschk <waschk@mandriva.org> 2.19.0-1mdv2008.0
+ Revision: 60433
- fix buildrequires
- Import ghex



* Wed Aug  8 2007 Gtz Waschk <waschk@mandriva.org> 2.19.0-1mdv2008.0
- drop legacy menu
- new devel name
- add new icons
- remove gnome help
- New version 2.19.0

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.8.2-4mdv2007.0
- Rebuild with latest dbus

* Thu Jul 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.8.2-3mdv2007.0
- Rebuild with latest gail
- switch to xdg menu
- use macros

* Wed Mar  8 2006 Gtz Waschk <waschk@mandriva.org> 2.8.2-2mdk
- replace prereq

* Wed Mar 08 2006 Götz Waschk <waschk@mandriva.org> 2.8.2-1mdk
- New release 2.8.2
- use mkrel

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 2.8.1-2mdk
- rebuild for new openssl

* Tue Oct 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- New release 2.8.1

* Tue Oct 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- add omf files to lang
- New release 2.8.0

* Fri Aug 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-3mdk
- really fix to new menu

* Thu Aug 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-2mdk
- rebuild for new menu

* Thu May 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- enable parallel build
- reenable libtoolize
- New release 2.6.1

* Mon Apr 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0-1mdk
- new version

* Wed Apr  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.5.2-1mdk
- fix menu
- fix intltool build
- new version

* Sat Oct 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.5.0-1mdk
- new version

* Thu Sep 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0.1-1mdk
- new version

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0
- Remove patch0 (merged upstream)

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.3.0-4mdk
- don't uninstall schemas on upgrade

* Fri Jul 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.3.0-3mdk
- add schemas uninstallation
- patch to fix varargs syntax error caught by new gcc 

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.3.0-2mdk
- fix distriblint warning

* Wed Apr 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.3.0-1mdk
- libify the package
- disable parallel build, there are some missing deps
- new version

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-2mdk
- Recompiled against latest openssl

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Remove patch0 (merged upstream) (was gnomeprint 2.2 support)

* Tue Dec 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.90-1mdk
- Release 1.99.90 (GNOME 2 port)
- Remove patch0 (merged upstream)

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-5mdk
- Patch0: use DTD compliant OMF file

* Mon Jun 17 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.1-4mdk
- png icons (out xpm!)

* Fri Oct 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-3mdk
- fixes from Gtz Waschk <waschk@linux-mandrake.com> :
	- find_lang --with-gnome for help files

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-2mdk
- add url

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-2mdk
- Correct dependencies on scrollkeeper

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-1mdk
- Release 1.2
- Use scrollkeeper to maintain help database

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-0.2mdk
- Recompiled against latest gnome-print
- add help

* Tue Feb 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2-0.1mdk
- correct release
- used srpm from Gtz Waschk <waschk@linux-mandrake.com

* Wed Feb 21 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.2-0.1mdk
- 1.2-beta1

* Thu Nov 16 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-1mdk 
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- new release

* Thu Jul 20 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.1.3-1mdk
- initial Mandrake package
